TagLib::Matroska::Properties Class Reference

An implementation of Matroska audio properties. More...

`#include <matroskaproperties.h>`

Inheritance diagram for TagLib::Matroska::Properties:
[legend]
Collaboration diagram for TagLib::Matroska::Properties:
[legend]

## Public Member Functions

| Properties (File *file, ReadStyle style=Average)
| ~Properties () override
| Properties (const Properties &)=delete
Properties & | operator= (const Properties &)=delete
int | lengthInMilliseconds () const override
int | bitrate () const override
int | sampleRate () const override
int | channels () const override
int | bitsPerSample () const
String | docType () const
int | docTypeVersion () const
String | codecName () const
String | title () const
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
| AudioProperties (const AudioProperties &)=delete
AudioProperties & | operator= (const AudioProperties &)=delete
virtual TAGLIB_DEPRECATED int | length () const
virtual int | lengthInSeconds () const

## Friends

class | EBML::MkInfo
class | EBML::MkTracks
class | File

## Additional Inherited Members

Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }
Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of Matroska audio properties.

## Constructor & Destructor Documentation

## Properties() [1/2]

TagLib::Matroska::Properties::Properties | ( | File * | file,
|  | ReadStyle | style = Average )

explicit

Creates an instance of Matroska::Properties.

References TagLib::AudioProperties::Average, and File.

Referenced by operator=(), and Properties().

## ~Properties()

TagLib::Matroska::Properties::~Properties | ( |  | ) |

override

Destroys this Matroska::Properties instance.

## Properties() [2/2]

TagLib::Matroska::Properties::Properties | ( | const Properties & |  | ) |

delete

References Properties().

## Member Function Documentation

## bitrate()

int TagLib::Matroska::Properties::bitrate | ( |  | ) | const

override virtual

Returns the average bit rate of the file in kb/s.

Reimplemented from TagLib::AudioProperties.

## bitsPerSample()

int TagLib::Matroska::Properties::bitsPerSample | ( |  | ) | const

Returns the number of bits per audio sample.

Referenced by File.

## channels()

int TagLib::Matroska::Properties::channels | ( |  | ) | const

override virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

Referenced by File.

## codecName()

String TagLib::Matroska::Properties::codecName | ( |  | ) | const

Returns the concrete codec name, for example "A_MPEG/L3" used in the file if available, otherwise an empty string.

Referenced by File.

## docType()

String TagLib::Matroska::Properties::docType | ( |  | ) | const

Returns the EBML doc type, "matroska" or "webm".

Referenced by File.

## docTypeVersion()

int TagLib::Matroska::Properties::docTypeVersion | ( |  | ) | const

Returns the EBML doc type version, typical values are 2 or 4.

Referenced by File.

## lengthInMilliseconds()

int TagLib::Matroska::Properties::lengthInMilliseconds | ( |  | ) | const

override virtual

Returns the length of the file in milliseconds.

See also
  lengthInSeconds()

Reimplemented from TagLib::AudioProperties.

## operator=()

Properties & TagLib::Matroska::Properties::operator= | ( | const Properties & |  | ) |

delete

References Properties().

## sampleRate()

int TagLib::Matroska::Properties::sampleRate | ( |  | ) | const

override virtual

Returns the sample rate in Hz.

Reimplemented from TagLib::AudioProperties.

Referenced by File.

## title()

String TagLib::Matroska::Properties::title | ( |  | ) | const

Returns the general name of the segment. Some applications store the title of the file here, but players should prioritize the tag title over the segment title.

Referenced by File.

## Friends And Related Symbol Documentation

## EBML::MkInfo

friend class EBML::MkInfo

friend

## EBML::MkTracks

friend class EBML::MkTracks

friend

## File

friend class File

friend

References bitsPerSample(), channels(), codecName(), docType(), docTypeVersion(), File, TagLib::AudioProperties::length(), sampleRate(), TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE, and title().

Referenced by File, and Properties().

The documentation for this class was generated from the following file:

- matroskaproperties.h